libmodplug vulnerabilities

2011-11-09T00:00:00
ID USN-1255-1
Type ubuntu
Reporter Ubuntu
Modified 2011-11-09T00:00:00

Description

Hossein Lotfi discovered that libmodplug did not correctly handle certain
malformed media files. If a user or automated system were tricked into
opening a crafted media file, an attacker could cause a denial of service
or possibly execute arbitrary code with privileges of the user invoking the
program. (CVE-2011-2911, CVE-2011-2912, CVE-2011-2913)

It was discovered that libmodplug did not correctly handle certain
malformed media files. If a user or automated system were tricked into
opening a crafted media file, an attacker could cause a denial of service
or possibly execute arbitrary code with privileges of the user invoking the
program. (CVE-2011-2914, CVE-2011-2915)